asn1_decode_simple_der(3)

NAME
asn1_decode_simple_der - API function

SYNOPSIS
#include <libtasn1.h>

int asn1_decode_simple_der(unsigned int etype, const unsigned char * der, unsigned int _der_len, const unsigned char ** str, unsigned int * str_len);

ARGUMENTS

unsigned int etype
    The type of the string to be encoded (ASN1_ETYPE_)

const unsigned char * der
    the encoded string

unsigned int _der_len
    the bytes of the encoded string

const unsigned char ** str
    a pointer to the data

unsigned int * str_len
    the length of the data

DESCRIPTION
Decodes a simple DER encoded type (e.g. a string, which is not constructed). The output is a pointer inside the der .

RETURNS
ASN1_SUCCESS if successful or an error value.

COPYRIGHT
Copyright © 2006-2015 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for libtasn1 is maintained as a Texinfo manual. If the info and libtasn1 programs are properly installed at your site, the command

    info libtasn1

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/libtasn1/manual/